maven中net.sf.json报错的解决方法

相关内容:maven项目 加入json-lib-2.2.3-jdk15.jar 报错 Missing artifact net.sf.json-lib:json-lib:jar:2.4:compile

[向把json-lib-2.2.3-jdk15.jar包加入到maven项目里面,pom.xml文件配置为:               net.sf.json-lib        json-lib        2.2.3        但

今天在用maven添加net.sf.json的jar包的时候,代码如下:

<dependency>
    <groupId>net.sf.json-lib</groupId>
    <artifactId>json-lib</artifactId>
    <version>2.4</version>
</dependency>

报了一个错

Missing artifact net.sf.json-lib:json-lib:jar:2.4:compile

嗯 ?奇怪了,这个是从官网上查的配置啊,不对吗?最好在网上找了好久,终于找到原因了,net.sf.json添加的时候需要添加jdk的版本号,第一次听说,于是有了下面的配置

<dependency>
    <groupId>net.sf.json-lib</groupId>
    <artifactId>json-lib</artifactId>
    <version>2.4</version>
    <classifier>jdk15</classifier>
</dependency>

结果,错误没有了,编译通过了,但是我本地用的是jdk7,而那个配置里面却是jdk5,这个好像必须写5,我把jdk16/jdk17都试了一遍都不行,无奈只有用jdk15可以编译通过,有知道原因的朋友请留言。

相关内容:maven 加入json-lib.jar 报错 Missing artifact net.sf.json-lib:json-lib:jar:2.4:compile

[net.sf.json-lib json-lib 2.4 jdk15]

相关问题

评论

写下你的理解